<!-- Breadcrumb -->
<style>
	.slider-price1 {
		background-color: white;
    width: 100px;
    height: 56px;
    border: 1px solid rgb(221, 221, 221);
    margin-right:10px;
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;
}
.slider-price2{
	background-color: white;
    width: 100px;
    height: 56px;
    border: 1px solid rgb(221, 221, 221);
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;

}
#selecter:hover {
  text-decoration: underline;
 
}
#selectAmenties:hover {
  text-decoration: underline;
 
}
.filter_Head{
	background-color: unset !important;
	padding:0px !important;
}

</style>
<div class="breadcrumbs overlay holiday-breadcrumbs" data-stellar-background-ratio="0.7">
	
</div>
<!--/ End Breadcrumb -->
<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item" href>
						Search
						<i class="icon-tick-bold"></i>
					</a>
				</li>
                
                <li class="active">
                    <span class="item">
						Choose Hotel
						</span>
				</li>
                <li>
                    <span class="item">
						Choose Room
					</span>
				</li>
                <li>
                    <span class="item">
						Choose Extras
					</span>
				</li>
                <li>
                    <span class="item">
						Book
					</span>
				</li>
			</ul>
		</div>
	</div>
	
    <div class="row my-4">
        <div class="col-md-12">
            <button type="button" class="btn btn-secondary btn-refine-search btn-block" ng-click="isCollapsed = !isCollapsed">
				{{night}} nights &comma; &lpar;{{hotelResponse.checkInDate}}&rpar; &minus; &lpar;{{hotelResponse.checkOutDate}}&rpar; &comma; {{hotelResponse.totalRooms}} Room &lpar; {{flightResponse.adtCnt}} Adults  <span ng-if="flightResponse.chldCnt != 0"> &comma; {{flightResponse.chldCnt}} Child </span><span ng-if="flightResponse.infntCnt != 0"> &comma; {{flightResponse.infntCnt}} Infant </span>&rpar; 
                <a href class="search-panel-arrow icon-rotate"><i ng-class="{'icon-chevron-down': isCollapsed, 'icon-chevron-up':!isCollapsed}" class="o-icon-label__icon"></i></a>
                <span class="change-search"><i class="o-icon-label__icon icon-search"></i> Change Search</span>                
			</button>
            <div uib-collapse="!isCollapsed" class="search-pane">
                <div ng-include="'views/holiday/holidaySearch.html'"></div>
			</div>
		</div>
	</div>
	
    <div class="row my-4">
        <div class="col-md-12 search-results-panel">
            <div class="search-results-info-panel sc-u-grid-gutter-y">
                <h1 class="sc-c-heading holiday-heading sc-c-heading--xl"><i class="icon-flights"></i> Your Flight {{flightResponse.frmAirprt.split('(')[1].substring(0,3)}} <i class="icon-arrow-right"></i> {{flightResponse.toAirprt.split('(')[1].substring(0,3)}} (Return)</h1>
			</div>
      <!--       <div class="sc-o-row">
                <div class="sc-o-col-12 sc-u-grid-gutter-y">
                    <div class="search-result-container">
						
						<!-- <div class="flight-listing" >
							<div class="flight-legs-section">
								<div class="flight-leg">
									<div class="leg-header">
										<span class="flight-date" ng-bind="flightResponse.deptDate"></span>
									</div>
									<div class="leg-main">
										<div class="airline-logo">
											<img class="airline-logo" src="images/Airlines/sm{{selectedflightResponse.outboundFilter.airlineCode}}.png" />
										</div>
										<div class="leg-itinerary">
											<div class="parts">
												
												<div class="part part-point part-point-departure">
													<div ng-repeat="segment in selectedflightResponse.segGrpList">
														<div ng-repeat="segmentList in segment.segList">
															<div>
																<span class="flight-airport-code" ng-bind="segmentList.origin.split('(')[1].substring(0,3)"></span>
																<span class="flight-time" ng-bind="segmentList.startTime"></span>
															</div>
															<div class="flight-airport-title">
																<span class="title" ng-bind="segmentList.origin.split('(')[0]"></span>
															</div>
														</div>
													</div>
												</div>
												<div class="part part-journey">
													<div ng-repeat="segment in selectedflightResponse.segGrpList">
														<div ng-repeat="segmentList in segment.segList">
															<div class="flight-duration">
																<span ng-bind="segmentList.dispTotFlyDuration"></span>
															</div>
															
															<div class="flight-stops-graphic">
																<div class="stops"></div>
															</div>
															<div class="flight-stops">
																<span ng-if="segmentList.stops == 1">{{segmentList.stops}} Stops</span>
																<span ng-if="segmentList.stops == 0" >Direct</span>
																<span ng-if="segmentList.stops == 2" >{{segmentList.stops}} Stops</span>
															</div>
														</div>
													</div>
												</div>
												
												<div class="part part-point part-point-arrival">
													<div ng-repeat="segment in selectedflightResponse.segGrpList">
														<div ng-repeat="segmentList in segment.segList">
															<div>
																<span class="flight-time" ng-bind="segmentList.arrivalTime">
																	<span class="flight-airport-code" ng-bind="segmentList.dest.split('(')[1].substring(0,3)">
																	</div>
																	<div class="flight-airport-title">
																		<span class="title" ng-bind="segmentList.dest.split('(')[0]"></span>
																	</div>
																</div>
															</div>
														</div>
													</div>
													
													
												</div>
											</div>
										</div>
									</div>
									<div class="flight-info-section">
										<a href ng-click="openFlightDetails('lg')" class="details-link o-icon-label o-icon-label--sm">
											<i class="o-icon-label__icon icon-information"></i>
											<span class="o-icon-label__caption">Flight Details</span>
										</a>
										
										<div>
										
										  <div class="pricing-block sc-c-price-block">
											  
									<br>
										
                                        <div class="sc-c-price-block__caption">
                                           <span ng-show="flightResponse.srchType == 2"> Return Flight</span>
										   <span ng-show="flightResponse.srchType == 1"> One-Way Flight</span>
                                        </div>
                                        <span class="sc-c-price-block__amount">
										
										<div ng-show="selectedflightResponse.oldGrandTotal - selectedflightResponse.grndTotal != '0'">
										 <span>{{currency}} {{selectedflightResponse.oldGrandTotal}}</span>
											<div id="hr"></div><br/>
											<div>
												<span class="promoSave">Your's Saving {{currency}} {{selectedflightResponse.oldGrandTotal - flight.grndTotal}}</span>
												</div>
											</div>
                                           
                                            <span>{{currency}} {{selectedflightResponse.grndTotal}}</span>
											
											
                                        </span>
                                        <div class="sc-c-price-block__legend" style="margin-top:2px"><span class="fare-info">Total Fare</span>
													<a>
															<i class="o-icon-label__icon icon-information" ng-click="openFareInfo('sm',any,$index)" ></i>
														</a>
												
										</div>
                                    </div>
										
											<button type="button" class="btn btn-select btn-block" ng-click="openChangeFlight('lg')">
												<i class="sc-c-button__icon icon-chevron-left"></i>
												Change Flight
											</button>
										</div>
									</div>
								</div> -->
								<div class="flight-listing" ng-disabled="disabled">
						
						<div class="flight-legs-section">
						  
						<div class="flight-leg ng-scope" ng-repeat="segment in selectedflightResponse.segGrpList">	     	 
                                    <div class="leg-header" ng-repeat="segLists in segment.segList ">	 		
                                   		<div ng-repeat="info in segLists.fltInfoList | limitTo:1">					
                                        <span class="flight-date h-flight-date ng-binding">{{info.dispStartDate}}</span>		 
                                        </div>
                                    </div> 	
                                    <div class="leg-main">   
                                        <div class="airline-logo">
                                            <img class="airline-logo" src="images/Airlines/sm{{selectedflightResponse.outboundFilter.airlineCode}}.png">		
                                        </div>
                                        <div class="airline-name holiday-name">
                                             <p>{{segment.segList[0].airlineName}}</p>
                                    </div>
                                        <div class="leg-itinerary" ng-repeat="segLists in segment.segList">	  	    
                                            <div class="parts"> 
											
                                                <div class="part part-point part-point-departure">
												<div class="text-right">
                                                    <div>
                                                       <span class="flight-time ng-binding">{{segLists.startTime}}</span>	
                                                    </div>
                                                    <div class="flight-airport-title">	 
                                                        <p class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin.split(',')[0]}}</p>	  	
                                                        <p class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin.split(',')[1]}}</p>	  	
                                                        	
                                                    </div>
													</div>
                                                </div>
                                                <div class="part part-journey">
                                                     <div class="flight-duration ng-binding">
                                                        {{segLists.dispTotFlyDuration}}	  
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
                                                        <span class="ng-binding" ng-if="segLists.stops==1">{{segLists.stops}} Stop</span>		       		 
                                                        <span class="ng-binding" ng-if="segLists.stops >1">{{segLists.stops}} Stops</span>		  
                                                        <span class="ng-binding" ng-if="segLists.stops ==0"> Direct</span>	 			
                                                    </div>
                                                </div>
                                                <div class="part part-point part-point-arrival">
                                                    <div>	 
                                                        <span class="flight-time ng-binding">{{segLists.arrivalTime}}</span>
                                                        <!-- ngIf: flight.fromFlight.days --><span class="flight-day-diff ng-binding ng-scope" ng-if="flight.fromFlight.days">(+1)</span><!-- end ngIf: flight.fromFlight.days -->
                                                        <!-- <span class="flight-airport-code ng-binding">{{segLists.airline}}</span> -->	 
                                                    </div>	
                                                    <div class="flight-airport-title">
														<p class="title ng-binding">{{segLists.dest.split(',')[0]}}</p>
														<p class="title ng-binding">{{segLists.dest.split(',')[1]}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
									
                                </div>
                                 </div> 
                                <div class="flight-info-section">
                                <a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlightDetails('lg');">
                                    <i class="o-icon-label__icon icon-information"></i>

                                    <span class="o-icon-label__caption">Flight Details</span>
                                    
                                </a>

                                <div>
                                    <div class="pricing-block sc-c-price-block">
										
									
										<br>
										
                                        <div class="sc-c-price-block__caption">
                                           <span ng-show="flightResponse.srchType == 2"> Return Flight</span>
										   <span ng-show="flightResponse.srchType == 1"> One-Way Flight</span>
                                        </div>
                                        <span class="sc-c-price-block__amount">
										
										<div ng-show="selectedflightResponse.oldGrandTotal - selectedflightResponse.grndTotal != '0'">
										 <span>{{currency}} {{selectedflightResponse.oldGrandTotal}}</span>
											<div id="hr"></div><br/>
											<div>
												<span class="promoSave">Your's Saving {{currency}} {{selectedflightResponse.oldGrandTotal - selectedflightResponse.grndTotal}}</span>
												</div>
											</div>
                                           
                                            <span>{{currency}} {{selectedflightResponse.grndTotal|number :3}}</span>
											
											
                                        </span>
                                        <div class="sc-c-price-block__legend" style="margin-top:2px"><span class="fare-info">Total Fare</span>
													<a>
															<i class="o-icon-label__icon icon-information h-label-details" ng-click="openFareInfo('sm',any,$index)" style="top:0px !important;"></i>
														</a>
												
										</div>
                                    </div>
                                    <button type="button" class="btn btn-select btn-block" ng-click="openChangeFlight('lg')">
												<i class="sc-c-button__icon icon-chevron-left"></i>
												Change Flight
											</button>
										
                                </div>
                            </div>
                               
                            </div>
								
							</div>
						</div>
			
<!-- 			 <div class="sc-o-row">
                <div class="sc-o-col-12 sc-u-grid-gutter-y">
                    <div class="search-result-container">
						
						<div class="flight-listing" >
						 <div ng-repeat="segment in flightResponse.flightSearchResults[0].segGrpList">
							<div class="flight-legs-section" ng-repeat="info in segment.segList[0].fltInfoList">
						
								<div class="flight-leg">
									<div class="leg-header">
										<span class="flight-date" ng-bind="info.dispEndDate"></span>
									</div>
								<!-- 	<div class="leg-main">
										<div class="airline-logo">
											<img class="airline-logo" src="images/Airlines/sm{{selectedflightResponse.outboundFilter.airlineCode}}.png" />
										</div>
										<div class="leg-itinerary">
                                            <div class="parts">
												<div class="part part-point part-point-departure">
													<div>
														<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
                                                        <span class="flight-time" ng-bind="info.dispStartTime"></span>
														</div>
														<div class="flight-airport-title">
                                                        <span class="title" ng-bind="info.origin.split('(')[0]"></span>
                                                    </div>
													</div>
													<div class="part part-journey">
														
														<div class="flight-duration">
                                                        <div ng-bind="info.dispDuration"></div>
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
														
																<span ng-if="segment.segList[0].stops == 0" >Direct</span>
																<span ng-if="segment.segList[0].stops == 1" >{{segment.segList[0].stops}} Stops</span>
																<span ng-if="segment.segList[0].stops == 2" >{{segment.segList[0].stops}} Stops</span>
												
                                                    </div>
                                                </div>
												
												<div class="part part-point part-point-arrival">
                                                    <div>
                                                        <span class="flight-time">{{info.dispArrTime}}</span>
                                                        
                                                        <span class="flight-airport-code">&nbsp;&nbsp;{{info.dest.split('(')[1].substring(0,3)}}</span>
                                                    </div>
                                                    <div class="flight-airport-title">
                                                        <span class="title">{{info.dest.split('(')[0]}}</span>
                                                    </div>
                                                </div>
													
												</div>
											</div>
											  </div> 
											     <div class="leg-main">   
                                        <div class="airline-logo">
                                            <img class="airline-logo" src="images/Airlines/sm{{flight.outboundFilter.airlineCode}}.png">		
                                        </div>
                                        <div class="leg-itinerary" ng-repeat="segLists in segment.segList">	  	    
                                            <div class="parts"> 
                                                <div class="part part-point part-point-departure">
                                                    <div>
                                                       <span class="flight-time ng-binding">{{segLists.startTime}}</span>	
                                                    </div>
                                                    <div class="flight-airport-title">	 
                                                        <p class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin.split(',')[0]}}</p>	  	
                                                        <p class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin.split(',')[1]}}</p>	  	
                                                        	
                                                    </div>
                                                </div>
                                                <div class="part part-journey">
                                                     <div class="flight-duration ng-binding">
                                                        {{segLists.dispTotFlyDuration}}	  
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
                                                        <span class="ng-binding" ng-if="segLists.stops==1">{{segLists.stops}} Stop</span>		       		 
                                                        <span class="ng-binding" ng-if="segLists.stops >1">{{segLists.stops}} Stops</span>		  
                                                        <span class="ng-binding" ng-if="segLists.stops ==0"> Direct</span>	 			
                                                    </div>
                                                </div>
                                                <div class="part part-point part-point-arrival">
                                                    <div>	 
                                                        <span class="flight-time ng-binding">{{segLists.arrivalTime}}</span>
													<span class="flight-day-diff ng-binding ng-scope" ng-if="flight.fromFlight.days">(+1)</span>
                                                       	 
                                                    </div>	
                                                    <div class="flight-airport-title">
														<p class="title ng-binding">{{segLists.dest.split(',')[0]}}</p>
														<p class="title ng-binding">{{segLists.dest.split(',')[1]}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
								   </div>
							   </div>
						   </div>
									<div class="flight-info-section">
										<a href ng-click="openFlightDetails('lg')" class="details-link o-icon-label o-icon-label--sm">
											<i class="o-icon-label__icon icon-information"></i>
											<span class="o-icon-label__caption">Flight Details</span>
										</a>
										
										<div>
											<button type="button" class="btn btn-select btn-block" ng-click="openChangeFlight('lg')">
												<i class="sc-c-button__icon icon-chevron-left"></i>
												Change Flight
											</button>
										</div>
									</div>
								</div>
								
							</div>
						</div>
					</div> -->
	
			
			
			<div class="row my-4">
					<div class="col-md-3">
							<div class="side-panel">
									<div class="search-filter-header">
											<h3 class="sc-c-heading">
												Filter By
												<a ng-click="UnSelectAll();" name="selectStar" id="selecter"  style="padding: 8px;margin-left: 45px;cursor:pointer;background: black;text-decoration-color: red;">Clear Filter</a> 
											</h3>
										</div>
								<div class="search-filter-section__header filter_Head">
									Hotel Name
								</div>
								<div class="filter-search">
									<input type="text" class="form-control"  placeholder="Enter a hotel name"ng-model="hotelName" ng-keyup="hotelFilter(hotelName)"
									/>
								</div><br>
								<div class="search-filter-section__header filter_Head">Price Range (OMR)</div><br>
			
								<div id="time-range">
									<div style="display:flex">
									<div class="slider-price1">{{minPrice| currency : ' ' :0 }} </div>  <span style="margin:auto">-</span>
										<div class="slider-price2">{{maxPrice| currency : ' ' :0 }}</div>
									</div><br>
									<div class="sliders_step1">
										<div id="price-range"></div>
									</div>
								</div><br>
											
								<div class="search-filter-section">
									<div class="search-filter-section__header filter_Head">
										STARS Rating
									</div>
									<table class="search-filter-section__body" style="border:none">
										<thead class="sc-o-checkbox__caption">
											<th>
												<input type="checkbox" name="selectStar" ng-model="isAllStartsSelected" class="sc-o-checkbox__input" ng-init="checkAllStars()"
												 ng-click="starToggle();" style="margin-left:10px"/>
											</th>
											<th style="padding-left:7px;padding-bottom:4px;">All Hotels</th>
											 <th></th>
											<th class="right-side-currency">Min Fare</th>
										</thead>
										<tbody class="sc-o-checkbox__caption" ng-repeat="star in hotelResponse.filterParams.starRatingBeans">
											<tr ng-hide="star.value==null">
												<td>
													<input type="checkbox" name="selectStar" class="sc-o-checkbox__input" checklist-model="startsObjects.selectedStartList" checklist-value="star.value"
													 ng-click="starChange($index);" style="margin-left:10px" /></td>
												<td> <img style="margin-bottom: 7px;margin-left:5px;" ng-show="star.value!=null" src="images/starts/{{star.value}}.png" /><span></span></td>
												<td ng-show="{{minimum}}=={{star.minPrice}}"><span class="cheapest">cheapest&nbsp;</span></td>
											<td ng-show="{{minimum}}!={{star.minPrice}}"><span class="cheapest">&nbsp;</span></td>
												<td class="right-side-currency" ng-show="star.value!=null"><span class="red fontWght" style="font-size:12px;">{{currency}} {{star.minPrice|number:3}}</span></td>
				
											</tr>
										</tbody>
									</table>
				
				
									<!-- <div class="search-filter-section__header">
										LUXURY
									</div> -->
									<!-- <table class="search-filter-section__body">
										<thead class="sc-o-checkbox__caption">
											<th>
												<input type="checkbox" name="selectluxury" ng-model="isAllLuxurySelected" class="sc-o-checkbox__input" ng-init="checkAllLuxury()"
												 ng-click="luxToggle();" />
											</th>
											<th>Show/Hide</th> -->
											<!-- <th>Count</th> -->
											<!-- <th>Min Fare</th>
										</thead>
										<tbody ng-repeat="lux in filterParams.luxuryBeans">
											<tr class="information">
												<td><input type="checkbox" name="selectluxury" ng-click="luxuryChange($index);" checklist-model="luxuryObjects.selectedLuxuryList"
													 checklist-value="lux.value" class="sc-o-checkbox__input" /></td>
												<td id="font" title="{{lux.value}}">{{lux.value}}</td> -->
												<!-- <td>{{lux.count}}</td> -->
												<!-- <td class="right-side-currency"><span class="red fontWght">{{currency}} {{lux.minPrice}}</span></td> -->
<!-- 				
											</tr>
										</tbody>
									</table> -->
				
				
									<!-- <div class="search-filter-section__header">Price Range (OMR)</div>
				
									<div id="time-range">
										<p>
											Price Range: <span class="slider-price1">{{minPrice| currency : ' ' :0 }} </span> -
											<span class="slider-price2">{{maxPrice| currency : ' ' :0 }}</span>
										</p>
										<div class="sliders_step1">
											<div id="price-range"></div>
										</div>
									</div>
									<div class="search-filter-section__header">
										Hotel Name
									</div>
									<div class="filter-search">
										<input type="text" class="form-control" ng-init="getAllHotelNames()" placeholder="Enter a hotel name" ng-model="hotelName"
										/>
									</div> -->
									<div class="search-filter-section__header filter_Head">
										AMENITIES
									</div>
									<table class="search-filter-section__body search-filter-amenity" style="border:none">
										<thead class="sc-o-checkbox__caption">
											<th style="width:3%">
												<input type="checkbox" name="selectStar" ng-model="isAllAmenitiesSelected" class="sc-o-checkbox__input" ng-init="checkAllAmenity()"
												 ng-click="amenitiesToggle();" />
											</th>
											<th class="itemSize">All</th>
											<!-- <th>Count</th> -->
											<!-- <th>Min Fare</th> -->
										</thead>
										<tbody class="sc-o-checkbox__caption" ng-repeat="amenity in hotelResponse.filterParams.amenityBeans | limitTo : amentiesQuantity">
											<tr>
												<td>
													<input type="checkbox" name="selectStar" class="sc-o-checkbox__input" checklist-model="amenityObjects.selectedAmenityList"
													 checklist-value="amenity.code" ng-click="amenityChange($index);" /></td>
												<td id="font" title="{{amenity.code}}"  class="itemSize">{{amenity.code}} <img ng-show="star.value!=null" src="images/starts/{{star.value}}.png" /><span></span></td>
												<!-- <td>{{star.count}}</td> -->
												<!-- <td class="right-side-currency" ><span style="width:50%" class="red fontWght">{{currency}} {{amenity.minPrice}}</span></td> -->
				
											</tr>
										</tbody>
									</table>
									<div class="search-filter-more" style="text-align:right;position:relative;top:-32px;background-color:unset !important;">
										<a id="selectAmenties"style="padding: 8px;margin-right:15px;margin-left: -13px;cursor:pointer;text-decoration;color: red"ng-click="moreAmenties()">{{options}}</a>
									</div>
																</div>
							</div>
						</div>
				<div class="col-md-9 search-results-panel">
					<div class="search-results-info-panel sc-u-grid-gutter-y">
						<h1 class="sc-c-heading sc-c-heading--xl">{{totalHotels.length>0?totalHotels.length+'-Hotels Are Available':'No Hotels
								Are Available'}}</h1>
					</div>
					<!-- <div class="search-results-control-bar my-3">
						<div class="row">
							<div class="col-md-7">
								<div class="section-sorting">
									<span class="control-bar-caption">Sort By</span>
									<select>
										<option label="Recommended" value="number:1" selected="selected">Recommended</option>
										<option label="Customer Rating" value="number:2">Customer Rating</option>
										<option label="Price (lowest first)" value="number:5">Price (lowest first)</option>
										<option label="Price (highest first)" value="number:6">Price (highest first)</option>
										<option label="Star Rating (highest first)" value="number:8">Star Rating (highest first)</option>
										<option label="Star Rating (lowest first)" value="number:7">Star Rating (lowest first)</option>
									</select>
								</div>
							</div>
						</div>
					</div> -->
					<div class="row">
						<div class="col-md-12 search-result-holiday-container">
							<div class="cssload-container" ng-show="loading">
			<div class="cssload-tube-tunnel"></div>
		</div>
							<!-- hotel -->
							
							<div class="hotel-box" ng-repeat="hotelList in hotelSearchResp1">
								<div class="hotel-img" ng-show="{{hotelList.galleries.length}}='0'">
									<img src="{{hotelList.galleries[0].path}}" />
								</div>
								<div class="hotel-img" ng-hide="{{hotelList.galleries.length}}!='0'">
									<img src='images/no-image-available.jpg' />
								</div>
								<div class="hotel-detail-section">
									<h4 class="sc-c-listing-card__heading">
										<a>{{hotelList.name}}</a>
										<a class="shortlist-toggle add">
											<i ng-class="{ 'icon-favourite': !hotel.inShortlist, 'icon-favourite-active': hotel.inShortlist }" tooltip="Save this hotel to your shortlist" class="icon-favourite"></i>
										</a>
									</h4>
									<span class="o-icon-label o-icon-label--sm" style="color:red;" lightbox-map-trigger="" element="hotel">
										<i class="o-icon-label__icon icon-pin"></i>
										<span class="o-icon-label__caption">{{hotelList.address}}</span>
									</span>
									<ul class="sc-c-listing-card__ratings inline-info-list">
											<span class="o-icon-label__caption"><img src="images/starts/{{hotelList.starRating}}.png" /></span>
										</ul>
									<div class="hype-message">
										<a class="hype-message hype-message-pay-later" target="_blank">Buy now, pay later</a>
									</div>
								</div>
								<div class="hotel-fare-box">
									<div class="sc-c-listing-card__cta-price">
										<div class="pricing-block sc-c-price-block">
											<div class="sc-c-price-block__caption">
												Rooms from
											</div>
											<span class="sc-c-price-block__amount">
												<span class="ng-binding">OMR {{hotelList.totalFare |number:3}}</span>
											</span>
											
										</div>
									</div>
									
									
									<button type="button" class="btn btn-select btn-block" ng-click="selectedHotel($index);">
										Select <i class="sc-c-button__icon icon-chevron-right"></i>
									</button>
								</div>
							</div>
							
							<!-- end -->
						</div>
					</div>
				</div>
			</div>
		
		</div>
		<script type="text/ng-template" id="changeFlight.html">
			<div class="modal-header">
		<h3 class="modal-title" id="modal-title">Choose Flight</h3>
		
		<button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">&times;</button>
	</div>
	<div class="modal-body" id="modal-body">
		<div class="sc-o-row">
			<div class="sc-o-col-12 sc-u-grid-gutter-y">
				<div class="search-result-container">
					<!-- start -->
					<!-- <div class="flight-listing" ng-repeat="flight in flightsearchRes.flightSearchResults">
					<form id="flightList">
						<div class="flight-legs-section width-74">
							<div class="flight-leg">
								<div class="leg-header">
									<span class="flight-date" ng-bind="flightsearchRes.deptDate"></span>
								</div>
								<div class="leg-main">
									<div class="airline-logo">
										<img class="airline-logo" src="images/Airlines/sm{{flight.outboundFilter.airlineCode}}.png" />
									</div>
									<div class="leg-itinerary">
										<div class="parts">
											
											<div class="part part-point part-point-departure part-holiday-point">
												<div ng-repeat="segment in flight.segGrpList">
													<div ng-repeat="segmentList in segment.segList">
														<div>
															<span class="flight-airport-code" ng-bind="segmentList.origin.split('(')[1].substring(0,3)"></span>
															<span class="flight-time" ng-bind="segmentList.startTime"></span>
														</div>
														<div class="flight-airport-title">
															<span class="title" ng-bind="segmentList.origin.split('(')[0]"></span>
														</div>
													</div>
												</div>
											</div>
											<div class="part part-journey">
												<div ng-repeat="segment in flight.segGrpList">
													<div ng-repeat="segmentList in segment.segList">
														<div class="flight-duration">
															<span ng-bind="segmentList.dispTotFlyDuration"></span>
														</div>
														
														<div class="flight-stops-graphic">
															<div class="stops"></div>
														</div>
														<div class="flight-stops">
															<span ng-if="segmentList.stops == 1">{{segmentList.stops}} Stops</span>
															<span ng-if="segmentList.stops == 0" >Direct</span>
															<span ng-if="segmentList.stops == 2" >{{segmentList.stops}} Stops</span>
														</div>
													</div>
												</div>
											</div>
											
											<div class="part part-point part-point-arrival part-holiday-point">
												<div ng-repeat="segment in flight.segGrpList">
													<div ng-repeat="segmentList in segment.segList">
														<div>
															<span class="flight-time" ng-bind="segmentList.arrivalTime">
																<span class="flight-airport-code" ng-bind="segmentList.dest.split('(')[1].substring(0,3)">
																</div>
																<div class="flight-airport-title">
																	<span class="title" ng-bind="segmentList.dest.split('(')[0]"></span>
																</div>
															</div>
														</div>
													</div>
												</div>
												
												
											</div>
										</div>
									</div>
								</div> -->
					<div class="flight-listing" ng-repeat="flight in flightsearchRes.flightSearchResults">
					<form id="flightList">
						<div class="flight-legs-section width-74">
							<div class="flight-legs-section flight-margin-top">
						  
						<div class="flight-leg ng-scope" ng-repeat="segment in flight.segGrpList">	     	 
                                    <div class="leg-header" ng-repeat="segLists in segment.segList ">	 		
                                   		<div ng-repeat="info in segLists.fltInfoList | limitTo:1">					
                                        <span class="flight-date ng-binding">{{info.dispStartDate}}</span>		 
                                        </div>
                                    </div> 	
                                    <div class="leg-main">   
                                        <div class="airline-logo">
                                            <img class="airline-logo" src="images/Airlines/sm{{flight.outboundFilter.airlineCode}}.png">		
                                        </div>
                                        <div class="leg-itinerary" ng-repeat="segLists in segment.segList">	  	    
                                            <div class="parts"> 
                                                <div class="part part-point part-point-departure part-holiday-point">
												<div class="text-right">
                                                    <div>
                                                       <span class="flight-time ng-binding">{{segLists.startTime}}</span>	
                                                    </div>
                                                    <div class="flight-airport-title">	 
                                                        <p class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin.split(',')[0]}}</p>	  	
                                                        	  	
                                                        	
                                                    </div>
													</div>
                                                </div>
                                                <div class="part part-journey holiday-journey">
                                                     <div class="flight-duration ng-binding">
                                                        {{segLists.dispTotFlyDuration}}	  
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
                                                        <span class="ng-binding" ng-if="segLists.stops==1">{{segLists.stops}} Stop</span>		       		 
                                                        <span class="ng-binding" ng-if="segLists.stops >1">{{segLists.stops}} Stops</span>		  
                                                        <span class="ng-binding" ng-if="segLists.stops ==0"> Direct</span>	 			
                                                    </div>
                                                </div>
                                                <div class="part part-point part-point-arrival part-holiday-point">
                                                    <div>	 
                                                        <span class="flight-time ng-binding">{{segLists.arrivalTime}}</span>
                                                        <!-- ngIf: flight.fromFlight.days --><span class="flight-day-diff ng-binding ng-scope" ng-if="flight.fromFlight.days">(+1)</span><!-- end ngIf: flight.fromFlight.days -->
                                                        <!-- <span class="flight-airport-code ng-binding">{{segLists.airline}}</span> -->	 
                                                    </div>	
                                                    <div class="flight-airport-title">
														<p class="title ng-binding">{{segLists.dest.split(',')[0]}}</p>
														
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
									<div class="airline-name">
                                             <p style=" margin-top: -17px;">{{segment.segList[0].airlineName}}</p>
                                    </div>
                                </div>
                                 </div>
								</div>
								<div class="flight-info-section">
									<div>
										<div class="pricing-block sc-c-price-block">
											<div class="sc-c-price-block__caption">
												Return Flight
											</div>
											<span class="sc-c-price-block__amount">
												<span>OMR {{flight.totFare}}</span>
											</span>
											<div class="sc-c-price-block__legend">per person</div>
										</div>
										<button type="button" ng-disabled="disabled" class="btn btn-select btn-block" ng-click="selectedFlight($index);">
											Select
											<i class="sc-c-button__icon icon-chevron-right"></i>
										</button>
										
									</div>
								</div>
								<div class="cssload-container" ng-show="loading">
			<div class="cssload-tube-tunnel"></div>
		</div>
								</form>
							</div>
							<!-- end -->
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button class="applyBtn btn btn-select" type="button" ng-click="cancel()">Return</button>
			</div>
		
		<!-- <script type="text/ng-template" id="flightDetails.html"> -->
			<!-- <div class="modal-header"> -->
		<!-- <h3 class="modal-title" id="modal-title">Flight Details</h3> -->
	<!-- </div> -->
	<!-- <div class="modal-body"> -->
		<!-- <div class="sc-o-row"> -->
			<!-- <div class="sc-o-col-12 sc-u-grid-gutter-y"> -->
				<!-- <div class="search-result-container flight-details"> -->
					<!-- <!-- <div ng-repeat="flightsearchResdetails in flightsearchResInfo.flightSearchResults track by $index"> --> 
					<!-- <div class="flight-listing"> -->
						<!-- <div class="flight-legs-section"> -->
							<!-- <div ng-repeat="segment in flightsearchResdetails.segGrpList"> -->
								<!-- <div ng-repeat="segmentList in segment.segList"> -->
									<!-- <div ng-repeat="info in segmentList.fltInfoList"> -->
										<!-- <div class="flight-leg"> -->
											<!-- <div class="leg-header"> -->
												<!-- <span class="flight-date"></span> -->
											<!-- </div> -->
											<!-- <div class="leg-main"> -->
												<!-- <div class="airline-logo"> -->
													<!-- <img src="images/Airlines/sm/{{info.airline}}.png"> -->
													<!-- <p ng-bind="info.fltNum"></p> -->
													
												<!-- </div> -->
												<!-- <div class="leg-itinerary"> -->
													<!-- <div class="parts"> -->
														<!-- <div class="part part-point part-point-departure"> -->
															<!-- <div class="flight-airport-title"> -->
																<!-- <span class="flight-time" ng-bind="info.dispStartTime"></span> -->
															<!-- </div> -->
															<!-- <div class="flight-airport-title"> -->
																<!-- <span class="flight-time" ng-bind="info.dispArrTime"></span> -->
																
															<!-- </div> -->
														<!-- </div> -->
														<!-- <div class="part part-journey"> -->
															
															<!-- <div class="flight-duration"> -->
																<!-- <span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span> -->
																<!-- <span class="title" ng-bind="info.origin.split('(')[0]"></span> -->
																
															<!-- </div> -->
															
															<!-- <div class="flight-stops"> -->
																<!-- <span class="flight-airport-code" ng-bind="info.dest.split('(')[1].substring(0,3)"></span> -->
																<!-- <span class="title" ng-bind="info.dest.split('(')[1].substring(0,3)"></span> -->
															<!-- </div> -->
														<!-- </div> -->
														<!-- <div class="part part-point part-point-arrival"> -->
															<!-- <div class="route-circle top"></div> -->
															<!-- <div class="route-circle bottom"></div> -->
															<!-- <span class="duration">{{flight.fromFlight.duration}}</span> -->
														<!-- </div> -->
													<!-- </div> -->
												<!-- </div> -->
												
											<!-- </div> -->
											<!-- <div class="leg-footer"> -->
												<!-- <p class="pull-left">Arrives: <strong ng-bind="info.dispEndDate"></strong></p> -->
												<!-- <p class="pull-right">Jouney Duration: <strong  ng-bind="info.dispDuration"></strong></p> -->
												<!-- <div class="clearfix"></div> -->
											<!-- </div> -->
										<!-- </div> -->
									<!-- </div> -->
								<!-- </div> -->
							<!-- </div> -->
							
						<!-- </div> -->
					<!-- </div> -->
					<!-- <!-- </div> --> 
					
				<!-- </div> -->
				
			<!-- </div> -->
		<!-- </div> -->
	<!-- </div> -->
	
	<!-- <div class="modal-footer"> -->
		<!-- <button class="applyBtn btn btn-select" type="button" ng-click="cancel()">Discard</button> -->
	<!-- </div> -->
 </script> 
<script type="text/ng-template" id="flightDetails.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Flight Details 
	</h3>  
	<button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">&times;</button>
</div>  
<div class="modal-body width-745"> 
	<div class="sc-o-row">  
		<div class="sc-o-col-12 sc-u-grid-gutter-y ">

			<div class="search-result-container flight-details ">	

					<div class="flight-listing-popup flight-leg flight-listing"	     
						ng-repeat="(in,segment) in flightDetails1.segGrpList">

	     	     	      	          	   
						<div ng-repeat="(x,segmentList) in segment.segList">		     
							<div ng-repeat="(key,info) in segmentList.fltInfoList"> 
 
								<!-- <div class="flight-leg-header">
									<span class="flight-date">Departure {{info.dispStartDate}}</span>
								</div> -->
								<div class="flight-leg-header" ng-show="key==0">                                                                                               
         <span class="flight-date">Departure  {{info.dispStartDate}}</span>
        </div>
								<table class="flight-leg-breakdown">
									<tbody>
										<tr class="row-depart"> 
											<td class="col-airline" rowspan="2"> 
												<div class="airline-logo"> 
													<img src="images/Airlines/sm{{info.airline}}.png">
												</div> <!----> 
												<div class="flight-number">{{info.airline}}{{info.fltNum}}</div>	  
												<!---->
												<div class="segment-cabin">{{cabinClass}}</div>
											</td>
											<td class="col-time"><span class="flight-time">{{info.dispStartTime}}</span>
											</td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.origin.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.origin}}</span>
												</div>
											</td>
											<td class="col-leg-icon" rowspan="2">	     
												<div class="part part-point part-point-arrival">
													<div class="route-circle top"></div>
													<div class="route-circle bottom"></div>
													<span class="duration">{{flight.fromFlight.duration}}</span>
												</div>
											</td>   
											<td class="col-duration" rowspan="2">
												<div class="flight-duration">{{info.dispDuration}}</div>
											</td>	  
										</tr>

										<tr class="row-arrive">
											<td class="col-time"><span class="flight-time">{{info.dispArrTime}}</span>
												<!----></td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.dest.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.dest}}</span>
												</div>
											</td>
										</tr>

										<tr class="row-connection" ng-show="segmentList.fltInfoList.length!=(key+1)"> 

											<td class="col-airline"></td> 
											<td class="col-time"></td>  
											<td class="col-airport">
												<div class="connection-message">	      	 		 	      
													<span>Waiting in airport </span>	  	  
												</div>    	 
											</td>   	 
											<td class="col-leg-icon">			
												<div class="dots">		
													<div class="dot"></div>	  
													<div class="dot"></div>	   
													<div class="dot"></div> 
												</div>  
											</td>	        
 											<td class="col-duration" ng-init="getWaitingDuration(segmentList.fltInfoList[key].rawArrivalDate,segmentList.fltInfoList[key+1].rawDeptDate,in,x,key)"> 	 	      	     
												<div class="flight-duration"   ng-bind="waitingDuration[{{in}}{{x}}{{key}}]">	 	 				 
		 									</div>	  	 	  	  	          
											</td>  
										</tr>     
									</tbody>             
								 	<tfoot class="tfoot" ng-show="segmentList.fltInfoList.length ==(key+1)"> 	      	  	  	 	  			     	      	  	  
										<tr> 
											 <td colspan="5" class="col-date" id="colcolour">Arrives on <span 
												class="flight-date">{{info.dispEndDate}}</span>	     
											</td>       
										</tr>
									</tfoot>  
								</table>
							</div>
						</div>
					</div>
			</div>
			
		</div>
	</div>
</div>
<div class="modal-footer">
	
	<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Return</button>
</div>
</script>

<script type="text/ng-template" id="flightFareinfoContent.html">
<div ng-include="'views/pages/total_fare.html'"></div>
	</script>
	
	</div>
